Package io.vertx.grpc.reflection.v1

## Class ListServiceResponse

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessage
      - - io.vertx.grpc.reflection.v1.ListServiceResponse

- All Implemented Interfaces:
    `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ListServiceResponseOrBuilder`, `Serializable`

      public final class ListServiceResponse
      extends com.google.protobuf.GeneratedMessage
      implements ListServiceResponseOrBuilder

       A list of ServiceResponse sent by the server answering list_services request.

  Protobuf type `grpc.reflection.v1.ListServiceResponse`
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ListServiceResponse.Builder` | A list of ServiceResponse sent by the server answering list_services request.

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

      `com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageT extends com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageT>,​BuilderT extends com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageT,​BuilderT>>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageT extends com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageT extends com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingT extends com.google.protobuf.Message,​T extends Object>, com.google.protobuf.GeneratedMessage.UnusedPrivateParameter`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessage

      `com.google.protobuf.AbstractMessage.BuilderParent`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

      `com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `SERVICE_FIELD_NUMBER` |

    - ### Fields inherited from class com.google.protobuf.GeneratedMessage

      `alwaysUseFieldBuilders, unknownFields`

    - ### Fields inherited from class com.google.protobuf.AbstractMessage

      `memoizedSize`

    - ### Fields inherited from class com.google.protobuf.AbstractMessageLite

      `memoizedHashCode`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `static ListServiceResponse` | `getDefaultInstance()` |
    `ListServiceResponse` | `getDefaultInstanceForType()` |
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
    `com.google.protobuf.Parser<ListServiceResponse>` | `getParserForType()` |
    `int` | `getSerializedSize()` |
    `ServiceResponse` | `getService​(int index)` | The information of each service may be expanded in the future, so we use ServiceResponse message to encapsulate it.
    `int` | `getServiceCount()` | The information of each service may be expanded in the future, so we use ServiceResponse message to encapsulate it.
    `List<ServiceResponse>` | `getServiceList()` | The information of each service may be expanded in the future, so we use ServiceResponse message to encapsulate it.
    `ServiceResponseOrBuilder` | `getServiceOrBuilder​(int index)` | The information of each service may be expanded in the future, so we use ServiceResponse message to encapsulate it.
    `List<? extends ServiceResponseOrBuilder>` | `getServiceOrBuilderList()` | The information of each service may be expanded in the future, so we use ServiceResponse message to encapsulate it.
    `int` | `hashCode()` |
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
    `boolean` | `isInitialized()` |
    `static ListServiceResponse.Builder` | `newBuilder()` |
    `static ListServiceResponse.Builder` | `newBuilder​(ListServiceResponse prototype)` |
    `ListServiceResponse.Builder` | `newBuilderForType()` |
    `protected ListServiceResponse.Builder` | `newBuilderForType​(com.google.protobuf.AbstractMessage.BuilderParent parent)` |
    `static ListServiceResponse` | `parseDelimitedFrom​(InputStream input)` |
    `static ListServiceResponse` | `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static ListServiceResponse` | `parseFrom​(byte[] data)` |
    `static ListServiceResponse` | `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static ListServiceResponse` | `parseFrom​(com.google.protobuf.ByteString data)` |
    `static ListServiceResponse` | `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static ListServiceResponse` | `parseFrom​(com.google.protobuf.CodedInputStream input)` |
    `static ListServiceResponse` | `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static ListServiceResponse` | `parseFrom​(InputStream input)` |
    `static ListServiceResponse` | `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static ListServiceResponse` | `parseFrom​(ByteBuffer data)` |
    `static ListServiceResponse` | `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static com.google.protobuf.Parser<ListServiceResponse>` | `parser()` |
    `ListServiceResponse.Builder` | `toBuilder()` |
    `void` | `writeTo​(com.google.protobuf.CodedOutputStream output)` |

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage

      `canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, isStringEmpty, makeMutableCopy, makeMutableCopy, mergeFromAndMakeImmutableInternal, newFileScopedGeneratedExtension, newInstance, newMessageScopedGeneratedExtension, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `findInitializationErrors, getInitializationErrorString, hashFields, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- - ### Field Detail

    - #### SERVICE_FIELD_NUMBER

          public static final int SERVICE_FIELD_NUMBER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

    - #### getServiceList

          public List<ServiceResponse> getServiceList()

           The information of each service may be expanded in the future, so we use
           ServiceResponse message to encapsulate it.

      `repeated .grpc.reflection.v1.ServiceResponse service = 1;`
      Specified by:
        `getServiceList` in interface `ListServiceResponseOrBuilder`

    - #### getServiceOrBuilderList

          public List<? extends ServiceResponseOrBuilder> getServiceOrBuilderList()

           The information of each service may be expanded in the future, so we use
           ServiceResponse message to encapsulate it.

      `repeated .grpc.reflection.v1.ServiceResponse service = 1;`
      Specified by:
        `getServiceOrBuilderList` in interface `ListServiceResponseOrBuilder`

    - #### getServiceCount

          public int getServiceCount()

           The information of each service may be expanded in the future, so we use
           ServiceResponse message to encapsulate it.

      `repeated .grpc.reflection.v1.ServiceResponse service = 1;`
      Specified by:
        `getServiceCount` in interface `ListServiceResponseOrBuilder`

    - #### getService

          public ServiceResponse getService​(int index)

           The information of each service may be expanded in the future, so we use
           ServiceResponse message to encapsulate it.

      `repeated .grpc.reflection.v1.ServiceResponse service = 1;`
      Specified by:
        `getService` in interface `ListServiceResponseOrBuilder`

    - #### getServiceOrBuilder

          public ServiceResponseOrBuilder getServiceOrBuilder​(int index)

           The information of each service may be expanded in the future, so we use
           ServiceResponse message to encapsulate it.

      `repeated .grpc.reflection.v1.ServiceResponse service = 1;`
      Specified by:
        `getServiceOrBuilder` in interface `ListServiceResponseOrBuilder`

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage`

    - #### writeTo

          public void writeTo​(com.google.protobuf.CodedOutputStream output)
                       throws IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.GeneratedMessage`
      Throws:
        `IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.GeneratedMessage`

    - #### equals

          public boolean equals​(Object obj)

      Specified by:
        `equals` in interface `com.google.protobuf.Message`
      Overrides:
        `equals` in class `com.google.protobuf.AbstractMessage`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `com.google.protobuf.Message`
      Overrides:
        `hashCode` in class `com.google.protobuf.AbstractMessage`

    - #### parseFrom

          public static ListServiceResponse parseFrom​(ByteBuffer data)
                                               throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static ListServiceResponse parseFrom​(ByteBuffer data,
                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                               throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static ListServiceResponse parseFrom​(com.google.protobuf.ByteString data)
                                               throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static ListServiceResponse parseFrom​(com.google.protobuf.ByteString data,
                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                               throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static ListServiceResponse parseFrom​(byte[] data)
                                               throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static ListServiceResponse parseFrom​(byte[] data,
                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                               throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static ListServiceResponse parseFrom​(InputStream input)
                                               throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static ListServiceResponse parseFrom​(InputStream input,
                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                               throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static ListServiceResponse parseDelimitedFrom​(InputStream input)
                                                        throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static ListServiceResponse parseDelimitedFrom​(InputStream input,
                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                        throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static ListServiceResponse parseFrom​(com.google.protobuf.CodedInputStream input)
                                               throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static ListServiceResponse parseFrom​(com.google.protobuf.CodedInputStream input,
                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                               throws IOException

      Throws:
        `IOException`

    - #### newBuilderForType

          public ListServiceResponse.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static ListServiceResponse.Builder newBuilder()

    - #### newBuilder

          public static ListServiceResponse.Builder newBuilder​(ListServiceResponse prototype)

    - #### toBuilder

          public ListServiceResponse.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected ListServiceResponse.Builder newBuilderForType​(com.google.protobuf.AbstractMessage.BuilderParent parent)

      Overrides:
        `newBuilderForType` in class `com.google.protobuf.AbstractMessage`

    - #### getDefaultInstance

          public static ListServiceResponse getDefaultInstance()

    - #### parser

          public static com.google.protobuf.Parser<ListServiceResponse> parser()

    - #### getParserForType

          public com.google.protobuf.Parser<ListServiceResponse> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessage`

    - #### getDefaultInstanceForType

          public ListServiceResponse getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`